Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-95815

AMD loader doesn't resolve require('.') calls

    Details

      Description

      If a JS module depends on "." or ".." the resolution fails.

      See https://github.com/liferay/liferay-amd-loader/issues/205 for the client counterpart of this issue.

      Steps to reproduce:

      1. Deploy attached JAR
      2. Add a LPS-95815 portlet to the page

       

      Expected results:

      1. The following content is rendered:

      Actual results:

      1. A Javascript error is shown in the Javascript console complaining about unresolved dependencies

        Attachments

          Activity

            People

            • Assignee:
              john.co John Co
              Reporter:
              ivan.zaera Ivan Zaera
              Participants of an Issue:
              Recent user:
              John Co
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                1 year, 17 weeks ago

                Packages

                Version Package
                Master